# RPM specfile for the php-PHlib package
# Copyright 2009 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW October 2009
# SCCS: @(#)php-PHlib.spec	1.18 09/28/11 23:07:37
# Note that the version number (1.18 - SCCS %-I-% (sans -)) of this file defines the package version #. It is used in the Makefile.

%define name php-PHlib
%define version 1.18
%define release 1.1

Summary: Misc PHP functions useful for building web applications
Name: %{name}
Version: %{version}
Release: %{release}
# Should use SCCS for below:
Source: http://www.phcomp.co.uk/Downloads/%{name}-%{version}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}
%define phlib_dir %{_datadir}/pear/PHlib
BuildArchitectures: noarch


License: GPL
# Copyright: GPL --- this is old/unsupported syntax

Packager: %{packager}

Group: Development/Libraries
BuildRoot: %{_builddir}/%{name}-root
Requires: php >= 5, php-pear, php-pear-Log
BuildRequires: make

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
Miscellaneous functions that are helpful in developing php web applications.

Depend on PEAR functions, not all of which are packaged as RPMs
so you may need to install them youself.
%prep
%setup -q

%build
%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0644)
%{phlib_dir}/FirstTimeConfig.php
%{phlib_dir}/LogMsg.php
%{phlib_dir}/ReadConfig.php
%{phlib_dir}/SmartyDisp.php
%doc License README Contributors Hacks TODO
%{_mandir}/man*/*

%changelog
* Wed Sep 28 2011 Alain Williams <addw@phcomp.co.uk>
- Add Add SmartyFormRender() to SmartyDisp.php.
* Thu Jun 20 2011 Alain Williams <addw@phcomp.co.uk>
- Fix issue with last change that affected loggin. Rework to more easily allow multiple apps in one session.
* Thu May 26 2011 Alain Williams <addw@phcomp.co.uk>
- If ConfigAppName is set then a '_' is appended
* Wed May 25 2011 Alain Williams <addw@phcomp.co.uk>
- Insert error suppression operator into LogMsg.php
* Wed May 18 2011 Alain Williams <addw@phcomp.co.uk>
- global $ConfigAppName introduced
* Wed May 04 2011 Alain Williams <addw@phcomp.co.uk>
- Use @ on file tests in search path to avoid warning messages due to open_basedir restrictions
* Wed Apr 20 2011 Alain Williams <addw@phcomp.co.uk>
- SmartyStdVars() is called before templates are displayed, if it exists.
* Mon Mar 07 2011 Alain Williams <addw@phcomp.co.uk>
- SmartyDisp.php: SmartyDisplayError() now puts the -U argument to the log file.
* Wed Feb 16 2011 Alain Williams <addw@phcomp.co.uk>
- LogMsg - now has -t option -- call backtrace.
* Sat Feb 12 2011 Alain Williams <addw@phcomp.co.uk>
- Update the README to give a better overview of this package.
* Sun Jan 30 2011 Alain Williams <addw@phcomp.co.uk>
- FirstTimeConfig: If $app contains a / don't map or lookup, use as a filename.
* Sun Jan 30 2011 Alain Williams <addw@phcomp.co.uk>
- SmartyDisp.php: New function SmartyVarsFromConfig
  ReadConfig.php: New function ConfigReadVarList(), ReadConfigValue() has new optional arg: $NotExistOK
  FirstTimeConfig: Reflect different installed location of the library (PHlib/), FirstTimeConfig() now returns ConfigRoot
* Tue Nov 30 2010 Alain Williams <addw@phcomp.co.uk>
- Fix bug in FirstTimeConfig.php where it sometimes failed in a multi directory situation
  Update doc, mention GPL. Improve LogMsg, FirstTimeConfig.php.3, UserAgent.php
  Add SmartyDisp.php
* Fri Nov 05 2009 Alain Williams <addw@phcomp.co.uk>
- FirstTimeConfig() mapping file now .confmap. Better documentation.
* Fri Nov 05 2009 Alain Williams <addw@phcomp.co.uk>
- LogMsg can now write to apache log, better control of stack trace.
* Wed Nov 04 2009 Alain Williams <addw@phcomp.co.uk>
- Tweak comments
* Tue Nov 03 2009 Alain Williams <addw@phcomp.co.uk>
- First RPM release
